<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>DevCamp-Task45</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">

   <!-- Data Table-->
   <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">User</a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Quản Lý</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Dương Xuân Đào</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
               CRUD
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="Creart.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Mới Thêm</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="read.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Khach Vip</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="Danhsach.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Danh Sách</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="Delete.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Chú Ý</p>
                </a>
              </li>
            </ul>
          </li>
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Danhsach</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Danhsach</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

     <!-- User Data Table -->
    <div class="container">
      <div class="text-center my-4">
          <h2>Danh sách người dùng đăng ký</h2>
      </div>
      <input type="button" class="btn btn-success form-group" value="Thêm User" id="btn-add-user" data-toggle='modal' data-target='#insert-user-modal'> 
      <table class="table table-bordered table-striped table-hover text-center" id="user-table">
          <thead>
          <tr>
              <th>Id</th>
              <th>Firstname</th>
              <th>Lastname</th>
              <th>Country</th>
              <th>Subject</th>
              <th>Customer Type</th>
              <th>Register Status</th>
              <th>Action</th>
          </tr>
          </thead>
          <tbody>
          </tbody>
      </table>
  </div>
  <!-- Vùng Modal -->

  <!-- Create user modal -->
  <div id="insert-user-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                  <h5 class="modal-title">Thêm User</h5>
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
              </div>
              <div class="modal-body"> 
                  <form>
                      <div class="row form-group">
                          <div class="col-sm-4">
                          <label>First name</label>
                          </div>
                          <div class="col-sm-8">
                          <input class="form-control" id="inp-firstname">
                          </div>
                      </div>    
                      <div class="row form-group">
                          <div class="col-sm-4">
                          <label>Last name</label>
                          </div>
                          <div class="col-sm-8">
                          <input class="form-control" id="inp-lastname">
                          </div>
                      </div>    
                      <div class="row form-group">
                          <div class="col-sm-4">
                          <label>Subject</label>
                          </div>
                          <div class="col-sm-8">
                          <input class="form-control" id="inp-subject">
                          </div>
                      </div>
                      <div class="row form-group">
                          <div class="col-sm-4">
                          <label>Country</label>
                          </div>
                          <div class="col-sm-8">
                          <select id="select-country" class="form-control">
                              <option value="NOT_SELECT_COUNTRY">Select Country</option>
                              <option value="VN">Việt Nam</option>
                              <option value="USA">USA</option>
                              <option value="AUS">Australia</option>
                              <option value="CAN">Canada</option>
                          </select>
                          </div>
                      </div>
                  </form>
              </div>
              <div class="modal-footer">
                  <button class="btn btn-success" id="btn-create-user">Insert User</button>
                  <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
              </div>
          </div>
      </div>
  </div>
  <!-- Vùng Modal -->

  <!-- Update user modal -->
  <div id="update-user-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                  <h5 class="modal-title">Chi tiết User User</h5>
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
              </div>
              <div class="modal-body"> 
                  <form>
                      <div class="row form-group">
                          <div class="col-sm-4">
                          <label>First name</label>
                          </div>
                          <div class="col-sm-8">
                          <input class="form-control" id="inp-update-firstname">
                          </div>
                      </div>    
                      <div class="row form-group">
                          <div class="col-sm-4">
                          <label>Last name</label>
                          </div>
                          <div class="col-sm-8">
                          <input class="form-control" id="inp-update-lastname">
                          </div>
                      </div>    
                      <div class="row form-group">
                          <div class="col-sm-4">
                          <label>Subject</label>
                          </div>
                          <div class="col-sm-8">
                          <input class="form-control" id="inp-update-subject">
                          </div>
                      </div>
                      <div class="row form-group">
                          <div class="col-sm-4">
                          <label>Country</label>
                          </div>
                          <div class="col-sm-8">
                          <select id="select-update-country" class="form-control">
                              <option value="NOT_SELECT_COUNTRY">Select Country</option>
                              <option value="VN">Việt Nam</option>
                              <option value="USA">USA</option>
                              <option value="AUS">Australia</option>
                              <option value="CAN">Canada</option>
                          </select>
                          </div>
                      </div>
                      <div class="row form-group">
                          <div class="col-sm-4">
                          <label>Customer Type</label>
                          </div>
                          <div class="col-sm-8">
                          <select id="select-update-customer-type" class="form-control">
                              <option value="NOT_SELECT_CUSTOMER_TYPE">Select Customer Type</option>
                              <option value="Standard">Standard</option>
                              <option value="Gold">Gold</option>
                              <option value="Premium">Premium</option>
                          </select>
                          </div>
                      </div>
                      <div class="row form-group">
                          <div class="col-sm-4">
                          <label>Register status</label>
                          </div>
                          <div class="col-sm-8">
                          <select id="select-update-register-status" class="form-control">
                              <option value="NOT_SELECT_REGISTER_STATUS">Select Register status</option>
                              <option value="Accepted">Accepted</option>
                              <option value="Denied">Denied</option>
                              <option value="Standard">Standard</option>
                          </select>
                          </div>
                      </div>
                  </form>
              </div>
              <div class="modal-footer">
                  <button class="btn btn-success" id="btn-update-user">Update User</button>
                  <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
              </div>
          </div>
      </div>
  </div>
  <!-- Vùng Modal -->

  <!-- Delete confirm modal -->
  <div id="delete-user-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                  <h5 class="modal-title">Confirm xóa user</h5>
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
              </div>
              <div class="modal-body"> 
                  <p>Bạn có chắc chắn muốn xóa user này không?</p>
              </div>
              <div class="modal-footer">
                  <button class="btn btn-danger" id="btn-confirm-delete-user">Xác nhận</button>
                  <button class="btn btn-secondary" data-dismiss="modal">Hủy bỏ</button>
              </div>
          </div>
      </div>
  </div>
  <!-- Vùng Modal -->

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

 <!-- Footer -->
 <footer class="text-center text-white" style="background-color:orange;">
  <h4 class="m-2 text-dark">Footer</h4>
  <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
  <!-- Grid container -->
  <div class="container pt-4">
    <!-- Section: Social media -->
    <section class="mb-4">
      <!-- Facebook -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-facebook-f"></i
      ></a>

      <!-- Twitter -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-twitter"></i
      ></a>

      <!-- Google -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-google"></i
      ></a>

      <!-- Instagram -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-instagram"></i
      ></a>

      <!-- Linkedin -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-linkedin"></i
      ></a>
      <!-- Github -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-github"></i
      ></a>
    </section>
    <!-- Section: Social media -->
  </div>
  <!-- Grid container -->

  <!-- Copyright -->
  <div class="text-center text-dark p-3" style="background-color: rgba(0, 0, 0, 0.2);">
    Lập Trình :
    <a class="text-dark" href="#">Powered By DEVCAMP</a>
  </div>
  <!-- Copyright -->
</footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Data Table-->
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="dist/js/demo.js"></script>
<script src="Danhsach.js"></script>
</body>
</html>
